Summary:        A system tool for maintaining the /etc/rc*.d hierarchy
Name:           chkconfig
Version:        1.21
Release:        2
License:        GPLv2
URL:            https://github.com/fedora-sysv/chkconfig
Source:         https://github.com/fedora-sysv/chkconfig/archive/refs/tags/%{name}-%{version}.tar.gz
BuildRequires:  newt-devel gettext popt-devel libselinux-devel beakerlib gcc systemd-devel make
Conflicts:      initscripts <= 5.30-1
Provides:       ntsysv = %{version}-%{release}
Obsoletes:      ntsysv < %{version}-%{release}
Provides:       /sbin/chkconfig

Patch0:         fix-coredump-while-parseServiceInfo-return-1.patch

Patch6000:      backport-leveldb-fix-systemdActive.patch

%description
Chkconfig is a basic system utility.  It updates and queries runlevel
information for system services.  Chkconfig manipulates the numerous
symbolic links in /etc/rc.d, to relieve system administrators of some 
of the drudgery of manually editing the symbolic links.

%package_help

%prep
%autosetup -p1

%build
%make_build RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"

%check
make check

%install
%make_install MANDIR=%{_mandir} SBINDIR=%{_sbindir}

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
ln -s rc.d/init.d $RPM_BUILD_ROOT/etc/init.d
for n in 0 1 2 3 4 5 6; do
    mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc${n}.d
    ln -s rc.d/rc${n}.d $RPM_BUILD_ROOT/etc/rc${n}.d
done
mkdir -p $RPM_BUILD_ROOT/etc/chkconfig.d

%files
%dir %{_sysconfdir}/alternatives
%dir /var/lib/alternatives
%{_sysconfdir}/{init.d,rc.d,rc[0-6].d}
%{_sysconfdir}/rc.d/{inid.d,rc[0-6].d}
%{_sysconfdir}/chkconfig.d
%{_sbindir}/{*alternatives,ntsysv}
%{_sbindir}/chkconfig
%{_prefix}/lib/systemd/systemd-sysv-install
%license COPYING
%{_datadir}/locale/*/LC_MESSAGES/chkconfig.mo

%files help
%{_mandir}/man8/*

%changelog
* Mon Aug 12 2024 fuanan <fuanan3@h-partners.com> - 1.21-2
- fix systemdActive()

* Wed Oct 12 2022 fushanqing <fushanqing@kylinos.cn> - 1.21-1
- Update to 1.21

* Sat Aug 27 2022 yixiangzhike <yixiangzhike007@163.com> - 1.20-2
- fix coredump while parseServiceInfo return non-zero

* Sat Nov 27 2021 wangchen <wangchen137@huawei.com> - 1.20-1
- Update to 1.20

* Thu Jul 8 2021 duyiwei <duyiwei@kylinos.cn> - 1.15-1
- Update to 1.15

* Mon Aug 31 2020 wangchen <wangchen137@huawei.com> - 1.14-2
- Open make check because beakerlib exist

* Fri Jul 31 2020 wangchen <wangchen137@huawei.com> - 1.14-1
- Update to 1.14

* Tue Dec 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.10-8
- Add obsoletes of ntsysv

* Fri Aug 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.10-7
- Package Init

